getf eulE.sci
getf eulI.sci
getf heun.sci
getf ptmil.sci
getf newton.sci
getf F.sci
getf DF.sci
getf phi.sci
getf Dphi.sci
str0='Champ des vitesses';
str1='Comparaison des mthodes numriques';
str2='Comportement proche de l''quilibre';
str3='Schma perturb';
str4='Calcul approch de la priode';
str5='Effacer les graphiques';
str6='Quitter';
n=1;
while n~=6,

n=x_choose([str0;str1;str2;str3;str4;str5;str6],['ETUDE DU SYSTEME';'DE VOLTERRA-LOTKA']);
n=n-1;
if n==0
getf chp.sci;
scf(6);clf();
fchamp(chp,0,0:.3:4,0:.3:6)


elseif n==1

txt=['y0(1)';'y0(2)';'T';'dt'];
sig=x_mdialog('Rentrez les parametres',txt,['1';'2';'10';'0.05']);

y0=[evstr(sig(1));evstr(sig(2))];
T=evstr(sig(3));dt=evstr(sig(4));

y=eulE(y0,dt,T);

t=[0:dt:T];
scf(0);clf();
plot2d(y(1,:),y(2,:));
xset('mark',3,6)
plot2d(y0(1),y0(2),-3,"001")
xset('font',4,18)
xtitle('Methode d''Euler explicite');

y=eulI(y0,dt,T);
scf(1);clf();
plot2d(y(1,:),y(2,:));
xset('mark',3,6)
plot2d(y0(1),y0(2),-3,"001")
xset('font',4,18)
xtitle('Methode d''Euler implicite');

y=heun(y0,dt,T);
scf(2);clf();
plot2d(y(1,:),y(2,:));
xset('mark',3,6)
plot2d(y0(1),y0(2),-3,"001")
xset('font',4,18)
xtitle('Methode de Heun');


y=ptmil(y0,dt,T);
scf(3);clf();
xset('mark',3,6)
plot2d(y(1,:),y(2,:));
plot2d(y0(1),y0(2),-3,"001")
xset('font',4,18)
xtitle('Methode du point milieu');


elseif n==2



scf(4);clf();
a=3;b=1;p=2;q=1;T=10;dt=0.05;
alpha=b*p/q;beta=a*q/b;
omega=sqrt(alpha*beta);
t=[0:dt:T];
i=0;
for eps=linspace(.05,.5,4)
y0=[2+eps;3];
y=ptmil(y0,dt,T);
xsetech([.5*modulo(i,2),floor(i/2)*.5,.5,.5])
xset('defaults')
plot2d(y(1,:),y(2,:));
plot2d(y0(1),y0(2),-9,"001")
plot2d(2+eps*cos(omega*t),3+eps*sqrt(beta/alpha)*sin(omega*t),2,"001")
i=i+1;
nor=norm(y-[2+eps*cos(omega*t);3+eps*sqrt(beta/alpha)*sin(omega*t)]);
str='y0=['+string(2+eps)+';3]  err='+string(nor);
xtitle(str);
end

elseif n==3

sig=x_mdialog('Rentrez les parametres',txt,['1';'2';'10';'0.05']);

y0=[evstr(sig(1));evstr(sig(2))];
T=evstr(sig(3));dt=evstr(sig(4));

getf ptmilp.sci
getf newtonp.sci
getf Fp.sci
getf DFp.sci
getf phip.sci
getf Dphip.sci

y=ptmilp(y0,dt,T);
scf(5);clf();
plot2d(y(1,:),y(2,:));
plot2d(y0(1),y0(2),-9,"001")
xset('font',4,18)
xtitle('Probleme perturbe');

elseif n==4

y0=[1;2];
T=2.7;dt=0.1;
y=ptmil(y0,dt,T);
i=1;test=0;
while test~=2,
	i=i+1;
	if y(2,i)>2
		test=1;
	end	
	if test==1&y(2,i)<2
		test=2;
	end
end
T1=i*dt;

getf g.sci

n=100;

T=0;
for i=1:n-1,
	T=T+%pi/n*(1/g(2*%pi*i/n)+1/g(2*%pi*(i+1)/n));	
end
T
elseif n==5

xdel([0:6])

end

end
